<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns="http://www.w3.org/1999/xhtml">
    <!-- param name = order / the order to fill -->
    <ui:decorate template="/common/fillingAbstractOrder.xhtml">
        <ui:param name="valueResultStatus" value="true"/>
        <ui:define name="selectUniversalServiceId">
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml"
                        rendered="#{order.domain.keyword.equals('RAD')}">
                <ui:param name="id" value="usiRad"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.UniversalServiceID_2']}</ui:define>
                <h:selectOneMenu value="#{order.universalServiceId}" required="true"
                                 id="usiRad" styleClass="form-control gzl-select-text">
                    <f:selectItems value="#{valueSet.getListOfConcepts('radUniversalServiceId')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml"
                        rendered="#{order.domain.keyword.equals('EYE')}">
                <ui:param name="id" value="usiEye"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.UniversalServiceID_2']}</ui:define>
                <h:selectOneMenu value="#{order.universalServiceId}" required="true"
                                 id="usiEye" styleClass="form-control gzl-select-text">
                    <f:selectItems value="#{valueSet.getListOfConcepts('eyeUniversalServiceId')}"/>
                </h:selectOneMenu>
            </s:decorate>
        </ui:define>
        <ui:define name="rightColumn">
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="oSource"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenSource']}</ui:define>
                <h:selectOneMenu value="#{order.specimenSource}" styleClass="form-control gzl-select-text"
                                 id="oSource">
                    <f:selectItem itemValue="null" itemLabel="#{messages['gazelle.ordermanager.notSpecified']}"/>
                    <f:selectItem itemValue="L" itemLabel="#{messages['gazelle.ordermanager.left']}"/>
                    <f:selectItem itemValue="R" itemLabel="#{messages['gazelle.ordermanager.right']}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="oTransp"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.TransportationMode_2']}</ui:define>
                <h:selectOneMenu value="#{order.transportationMode}" styleClass="form-control gzl-select-text"
                                 id="oTransp">
                    <f:selectItems value="#{valueSet.getListOfConcepts('transportationMode')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="oTransp2"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.TransportArranged_2']}</ui:define>
                <h:selectOneMenu value="#{order.transportArranged}" styleClass="form-control gzl-select-text"
                                 id="oTransp2">
                    <f:selectItems value="#{valueSet.getListOfConcepts('transportArranged')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="oDanger"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.DangerCode']}</ui:define>
                <h:selectOneMenu value="#{order.dangerCode}" styleClass="form-control gzl-select-text"
                                 id="oDanger">
                    <f:selectItems value="#{valueSet.getListOfConcepts('danger')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="oInfo"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.RelevantClinicalInfo']}</ui:define>
                <h:inputText value="#{order.relevantClinicalInfo}" size="60" styleClass="form-control"
                             id="oInfo"/>
            </s:decorate>
        </ui:define>
    </ui:decorate>
</ui:composition>
